Subject: bug#6875: Strange behaviour when moving cursor between lines

From: James Battat <[email-masked]>
Date: Tue, 17 Aug 2010 17:19:20 -0400

Hi,

I am a longtime user of emacs on linux platforms.  I recently installed emacs23 on my macbook pro (fink install emacs23) and see unexpected behaviour when moving the cursor forward one line via CTRL-n.  I'm not sure if this is a bug, but at a minimum, CTRL-n does a different thing on a linux GNU Emacs 21.4.1 install than on my mac installation.

On my mac, when I open a file in emacs and navigate to the next line using CTRL-n, the cursor does not go to the next line of text, instead, it goes to the next row of text as displayed on the screen.  For lines of text that do not wrap, there is no difference between these two behaviours, but for wrapped lines, there is.

For example, if a single line of text has wrapped on the screen, and my cursor is currently at the first character of the line, then CTRL-n takes me to the first displayed character on the second row of the same line of text (the first wrapped row), but not to the next line as specified by a newline character.

While this may seem rather minor, it wreaks havoc when using rectangle cut and insert (CTRL-r k and CTRL-r y).

Is this a selectable setting?  A bug?  A known difference between emacs 21 and emacs 23?  Something else?

I see the same symptom whether I start emacs in a new X window (emacs file.txt &) or within the terminal window (emacs -nw file.txt).

Details of emacs on my macbook pro:  GNU Emacs 23.1.1 (i386-apple-darwin10.4.0, GTK+ Version 2.16.6 of 2010-07-23
Details of emacs on linux machine:  GNU Emacs 21.4.1 (i686-redhad-linux-gnu, X toolkit, Xaw3d scroll bars) of 2008-01-04 on norob.fnal.gov

Thank you,
James